View Issue Details

IDProjectCategoryView StatusLast Update
0001416NoesisGUIUnity3Dpublic2019-03-08 23:43
ReporternokolaAssigned Tojsantos 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.2.0b6 
Target Version2.2.0Fixed in Version 
Summary0001416: Font rendering (maybe theme?) issue in Noesis 2.2 beta 6 (OK on 2.1)
DescriptionSome fonts characters seem to have their height calculated incorrectly in 2.2 and add a significant whitespace. See screenshot
Not sure if the bug is in 2.2 or if there was a bug in 2.1.
Steps To Reproduce1. Use FanStyle.xaml (attached)
2. Use Alin Speech Bubbles 2 font (attached)
3. Render this XAML:
                    <Button x:Name="btnSpeech" BorderThickness="0" Style="{StaticResource ButtonTitle}" Margin="0,0,-8,0">
                        <StackPanel HorizontalAlignment="Center">
                            <TextBlock Text="0" Foreground="White" FontSize="26" Height="50" FontFamily="Fonts/#Alin Speech Bubbles 2" TextAlignment="Center" Margin="0,-10,0,0"/>
                            <TextBlock Text="speech" Margin="2,0,2,2" HorizontalAlignment="Stretch" Foreground="White" TextAlignment="Center"
                                       t:Translate.Text="speech" TextWrapping="Wrap" />
                        </StackPanel>
                    </Button>


Expected: renders Ok
Actual: speech bubble is off (see screenshot.)
TagsNo tags attached.
PlatformAny

Activities

nokola

nokola

2019-02-28 07:33

reporter  

fontRendering_Issue.jpg (118,731 bytes)
fontRendering_Issue.jpg (118,731 bytes)
FanStyle.xaml (144,172 bytes)
Alin_Speech_Bubbles_2.ttf (103,088 bytes)
jsantos

jsantos

2019-03-01 13:27

manager   ~0005488

I am checking this with WPF and we render the same way. In 2.2 we changed many things to be more WPF complicant. You need to adjust the line height. We added support for support for TextBlock LineHeight and LineStackingStrategy properties in 2.2. That may help.
jsantos

jsantos

2019-03-08 12:18

manager   ~0005516

Closing this
nokola

nokola

2019-03-08 23:43

reporter   ~0005519

Sounds good thanks!

Issue History

Date Modified Username Field Change
2019-02-28 07:33 nokola New Issue
2019-02-28 07:33 nokola File Added: fontRendering_Issue.jpg
2019-02-28 07:33 nokola File Added: FanStyle.xaml
2019-02-28 07:33 nokola File Added: Alin_Speech_Bubbles_2.ttf
2019-03-01 13:27 jsantos Note Added: 0005488
2019-03-01 13:27 jsantos Assigned To => jsantos
2019-03-01 13:27 jsantos Status new => assigned
2019-03-01 13:27 jsantos Status assigned => feedback
2019-03-01 13:27 jsantos Target Version => 2.2.0
2019-03-01 13:27 jsantos Description Updated View Revisions
2019-03-01 13:27 jsantos Steps to Reproduce Updated View Revisions
2019-03-08 12:18 jsantos Status feedback => resolved
2019-03-08 12:18 jsantos Resolution open => no change required
2019-03-08 12:18 jsantos Note Added: 0005516
2019-03-08 23:43 nokola Status resolved => closed
2019-03-08 23:43 nokola Note Added: 0005519